using System;
using System.Data;
using System.Collections.Generic;
using RMYY_CallCenter_Api.Model;
namespace RMYY_CallCenter_Api.Bll
{
    /// <summary>
    /// T_Sys_SeatGroup
    /// </summary>
    public partial class T_Sys_SeatGroup
    {
        private readonly RMYY_CallCenter_Api.Dal.T_Sys_SeatGroup Dal = new RMYY_CallCenter_Api.Dal.T_Sys_SeatGroup();
        public T_Sys_SeatGroup()
        { }
        #region  BasicMethod

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(RMYY_CallCenter_Api.Model.T_Sys_SeatGroup model)
        {
            return Dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(RMYY_CallCenter_Api.Model.T_Sys_SeatGroup model)
        {
            return Dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_ID)
        {

            return Dal.Delete(F_ID);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_IDlist)
        {
            return Dal.DeleteList(F_IDlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public RMYY_CallCenter_Api.Model.T_Sys_SeatGroup GetModel(int F_ID)
        {

            return Dal.GetModel(F_ID);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return Dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return Dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<RMYY_CallCenter_Api.Model.T_Sys_SeatGroup> GetModelList(string strWhere)
        {
            DataSet ds = Dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<RMYY_CallCenter_Api.Model.T_Sys_SeatGroup> DataTableToList(DataTable dt)
        {
            List<RMYY_CallCenter_Api.Model.T_Sys_SeatGroup> modelList = new List<RMYY_CallCenter_Api.Model.T_Sys_SeatGroup>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                RMYY_CallCenter_Api.Model.T_Sys_SeatGroup model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = Dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return Dal.GetRecordCount(strWhere);
        }

        #endregion  BasicMethod
    }
}

